Test::Set::Rel::RelBin Class Reference

Test for binary set relation constraint More...

## Public Member Functions

| RelBin (Gecode::SetRelType srt0, bool shared0)
| Create and register test.
int | minSymDiff (const SetAssignment &x) const
bool | in (int i, CountableSetRanges &c, bool eq=false) const
bool | solution (const SetAssignment &x) const
| Test whether x is solution
void | post (Space &home, SetVarArray &x, IntVarArray &)
| Post constraint on x.
void | post (Space &home, SetVarArray &x, IntVarArray &, Reify r)
| Post reified constraint on x for b.
Public Member Functions inherited from Test::Set::SetTest
| SetTest (const std::string &s, int a, const Gecode::IntSet &d, bool r=false, int w=0)
| Constructor.
virtual bool | run (void)
| Perform test.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Additional Inherited Members

static std::string | str (Gecode::SetRelType srt)
| Map set relation to string.
static std::string | str (Gecode::SetOpType srt)
| Map set operation to string.
static std::string | str (int i)
| Map integer to string.
static std::string | str (const Gecode::IntArgs &i)
| Map integer array to string.
Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Protected Attributes inherited from Test::Set::SetTest
bool | disabled
| Whether to perform full tests for disabled propagators.
bool | testsubsumed
| Whether to check for subsumption.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Test for binary set relation constraint

Definition at line 55 of file rel.cpp.

## Constructor & Destructor Documentation

## RelBin()

Test::Set::Rel::RelBin::RelBin | ( | Gecode::SetRelType | srt0,
|  | bool | shared0 )

inline

Create and register test.

Definition at line 61 of file rel.cpp.

## Member Function Documentation

## minSymDiff()

int Test::Set::Rel::RelBin::minSymDiff | ( | const SetAssignment & | x | ) | const

inline

Definition at line 65 of file rel.cpp.

## in()

bool Test::Set::Rel::RelBin::in | ( | int | i,
|  | CountableSetRanges & | c,
|  | bool | eq = false ) const

inline

Definition at line 77 of file rel.cpp.

## solution()

bool Test::Set::Rel::RelBin::solution | ( | const SetAssignment & | x | ) | const

inline virtual

Test whether x is solution

Implements Test::Set::SetTest.

Definition at line 84 of file rel.cpp.

## post() [1/2]

void Test::Set::Rel::RelBin::post | ( | Space & | home,
|  | SetVarArray & | x,
|  | IntVarArray & | )

inline virtual

Post constraint on x.

Implements Test::Set::SetTest.

Definition at line 117 of file rel.cpp.

## post() [2/2]

void Test::Set::Rel::RelBin::post | ( | Space & | home,
|  | SetVarArray & | x,
|  | IntVarArray & | ,
|  | Reify | r )

inline virtual

Post reified constraint on x for b.

Reimplemented from Test::Set::SetTest.

Definition at line 124 of file rel.cpp.

The documentation for this class was generated from the following file:

- test/set/rel.cpp